<script>
export default {
  name: "FooterElement",
  data () {
    return {
      footerLinks: [
        {
          label: this.$t("ContributionDashboardHeader.menu.about"),
          target: "about"
        },
        {
          label: this.$t("ContributionDashboardHeader.menu.privacy"),
          target: "privacy"
        },
        {
          label: this.$t("ContributionDashboardHeader.menu.imprint"),
          target: "imprint"
        },
        {
          label: this.$t("ContributionDashboardHeader.menu.accessibility"),
          target: "accessibility"
        }
      ]
    };
  }
};
</script>

<template>
  <footer class="FooterElement">
    <nav>
      <router-link
        v-for="(link, index) in footerLinks"
        :key="index"
        :to="link.target"
      >
        {{ link.label }}
      </router-link>
    </nav>
  </footer>
</template>

<style lang="scss">
@import "../scss/_global.scss";

footer.FooterElement {
  padding-left: 28px;

  nav {
    a {
      @extend %fontdefinition_rubric;
      color: $hyperlink;
      font-weight: bold;
      font-size: 1rem;
      text-decoration: none;
      text-transform: uppercase;
      display: inline-block;
      margin-right: 20px;
    }
  }
}
</style>
